<script setup lang="ts">
import { useTemperatureStore } from '@/stores/temperature';


const temperatureStore = useTemperatureStore()



</script>

<template>
    <v-form v-model="temperatureStore.valid">
        <v-container>
            <v-row>
                <v-col cols="12" md="4">
                    <v-text-field v-model="temperatureStore.celsius"
                        :rules="[(v) => !!v || 'Celsius is not empty!', (v) => !isNaN(parseFloat(v)) || 'Celsius must be number!']"
                        :counter="10" label="Celsius" hide-details required></v-text-field>

                </v-col>

                <v-col cols="12" md="4">
                    <v-btn @click="temperatureStore.callConvert">Caculate</v-btn>
                </v-col>

                <v-col cols="12" md="4">
                    <div>{{ temperatureStore.result }}</div>
                </v-col>
            </v-row>
        </v-container>
    </v-form>
</template>